PayNow

Data Migrations

Get data migrations

GEThttps://api.paynow.gg/v1/stores/{storeId}/data-migrations

Retrieves all data migration tasks for the specified store.

Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
The ID of the store to retrieve data migrations for.
Query parameters
limitintegerOptional
The maximum number of items to return in a single request.
afterFlakeIdOptional
Returns items after the specified ID. Used for forward pagination through results.
beforeFlakeIdOptional
Returns items before the specified ID. Used for backward pagination through results.
ascbooleanOptional
Determines the sort order of returned items. When true, items are returned in ascending order. When false, items are returned in descending order.
Response
200OKDataMigrationTaskDto[]
Show fields
idFlakeIdRequired
platformstringRequired
Platform from which data is being migrated (e.g., "tebex").
started_atstringRequired
Timestamp when the migration was initiated.
started_byActorDtoRequired
Represents the actor that performed an action, such as the user, API key or game server that created or changed a record.
idFlakeIdOptional
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer
store_idFlakeIdRequired
tokenstringRequired
Masked authentication token used for accessing the source platform API.
total_entities_migratedintegerRequired
Number of entities that have been successfully migrated.
completed_atstringOptional
Timestamp when the migration was successfully completed, or null if not completed.
errorstringOptional
Error message if the migration encountered any errors, otherwise null.
failed_atstringOptional
Timestamp when the migration failed, or null if it didn't fail.
total_entities_to_migrateintegerOptional
Total number of entities that need to be migrated, or null if unknown.

Failed requests return a PayNowError body. See the error response guide.

curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/data-migrations" \
  -H "Authorization: APIKey TOKEN"
Response200
[
  {
    "id": "411486491630370816",
    "platform": "string",
    "started_at": "2024-01-01T00:00:00Z",
    "started_by": {
      "id": "411486491630370816",
      "type": "anonymous"
    },
    "store_id": "411486491630370816",
    "token": "string",
    "total_entities_migrated": 0,
    "completed_at": "2024-01-01T00:00:00Z",
    "error": "string",
    "failed_at": "2024-01-01T00:00:00Z",
    "total_entities_to_migrate": 0
  }
]

Start Data Migration From Tebex

POSThttps://api.paynow.gg/v1/stores/{storeId}/data-migrations/tebex
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
Request body
headless_tokenstringRequired
The public-facing Headless API token.
plugin_tokenstringRequired
An API token associated to a Tebex game server.
Response
200OKDataMigrationTaskDto[]
Show fields
idFlakeIdRequired
platformstringRequired
Platform from which data is being migrated (e.g., "tebex").
started_atstringRequired
Timestamp when the migration was initiated.
started_byActorDtoRequired
Represents the actor that performed an action, such as the user, API key or game server that created or changed a record.
idFlakeIdOptional
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer
store_idFlakeIdRequired
tokenstringRequired
Masked authentication token used for accessing the source platform API.
total_entities_migratedintegerRequired
Number of entities that have been successfully migrated.
completed_atstringOptional
Timestamp when the migration was successfully completed, or null if not completed.
errorstringOptional
Error message if the migration encountered any errors, otherwise null.
failed_atstringOptional
Timestamp when the migration failed, or null if it didn't fail.
total_entities_to_migrateintegerOptional
Total number of entities that need to be migrated, or null if unknown.

Failed requests return a PayNowError body. See the error response guide.

curl -X POST "https://api.paynow.gg/v1/stores/{storeId}/data-migrations/tebex" \
  -H "Authorization: APIKey TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "headless_token": "string",
  "plugin_token": "string"
}'
Response200
[
  {
    "id": "411486491630370816",
    "platform": "string",
    "started_at": "2024-01-01T00:00:00Z",
    "started_by": {
      "id": "411486491630370816",
      "type": "anonymous"
    },
    "store_id": "411486491630370816",
    "token": "string",
    "total_entities_migrated": 0,
    "completed_at": "2024-01-01T00:00:00Z",
    "error": "string",
    "failed_at": "2024-01-01T00:00:00Z",
    "total_entities_to_migrate": 0
  }
]